import React from 'react';
import { type ButtonProps } from './Button';
import { type ThemedClassName } from '../../util';
import { type IconProps } from '../Icon';
import { type TooltipSide } from '../Tooltip';
type IconButtonProps = Omit<ButtonProps, 'children'> & Pick<IconProps, 'icon' | 'size'> & {
    label: string;
    iconOnly?: boolean;
    noTooltip?: boolean;
    caretDown?: boolean;
    iconClassNames?: ThemedClassName<any>['classNames'];
    tooltipPortal?: boolean;
    tooltipSide?: TooltipSide;
};
declare const IconButton: React.ForwardRefExoticComponent<Omit<IconButtonProps, "ref"> & React.RefAttributes<HTMLButtonElement>>;
export { IconButton };
export type { IconButtonProps };
//# sourceMappingURL=IconButton.d.ts.map