import '@dxos-theme';
import { type StoryObj, type Meta } from '@storybook/react';
import { type MessageValence } from '@dxos/react-ui-types';
import { type CheckboxProps, type PinInputProps, type SwitchProps, type TextInputProps, type TextAreaProps } from './Input';
type VariantMap = {
    text: TextInputProps;
    pin: PinInputProps;
    textarea: TextAreaProps;
    checkbox: CheckboxProps;
    switch: SwitchProps;
};
type Variant = {
    [K in keyof VariantMap]: {
        type: K;
    } & VariantMap[K];
}[keyof VariantMap];
type BaseProps = Partial<{
    kind: keyof VariantMap;
    label: string;
    labelVisuallyHidden: boolean;
    description: string;
    descriptionVisuallyHidden: boolean;
    validationValence: MessageValence;
    validationMessage: string;
}>;
declare const meta: Meta<BaseProps>;
export default meta;
type Story = StoryObj<BaseProps & Variant>;
export declare const Default: Story;
export declare const DensityFine: Story;
export declare const Subdued: Story;
export declare const Disabled: Story;
export declare const LabelVisuallyHidden: Story;
export declare const InputWithDescription: Story;
export declare const InputWithErrorAndDescription: Story;
export declare const InputWithValidationAndDescription: Story;
export declare const TextArea: Story;
export declare const PinInput: Story;
export declare const Checkbox: Story;
export declare const Switch: {
    args: {
        kind: string;
        label: string;
        description: string;
    };
};
//# sourceMappingURL=Input.stories.d.ts.map